std::hash< thread::id > Struct Reference
Concurrency » Threads

`#include <std_thread.h>`

## Public Member Functions

size_t | operator() (const thread::id &__id) const noexcept

## Detailed Description

std::hash specialization for thread::id.

Definition at line 349 of file std_thread.h.

## Member Function Documentation

## operator()()

size_t std::hash< thread::id >::operator() | ( | const thread::id & | __id | ) | const

inline noexcept

Definition at line 353 of file std_thread.h.

The documentation for this struct was generated from the following file:

- std_thread.h